Bug 1279598 - load_dynamic_module: Error loading module 'lots of them' due to undefined symbols
load_dynamic_module: Error loading module 'lots of them' due to undefined sym...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: asterisk (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jared Smith
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 15:16 EST by Eduard Kohler
Modified: 2016-12-20 10:35 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:35:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eduard Kohler 2015-11-09 15:16:13 EST
Description of problem:

The main problem (at least on my setup) is one way audio communication in some cases. The same config files work flawless on the asterisk-11.17.1-1.fc21 (which don't exhibit these warnings).
After reviewing config files, nothing special changed in the chan_sip.so module between the latest version and the f21 one.

Before going upstream, I need to make sure it is not some Fedora related issues.


Version-Release number of selected component (if applicable):
asterisk-13.3.2-1.fc23.2

How reproducible:
always

Steps to Reproduce:
1. dnf install asterisk-sip
2. asterisk -cvvvv
3.

Actual results:
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'app_queue.so': /usr/lib64/asterisk/modules/app_queue.so: undefined symbol: ast_monitor_start
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'bridge_builtin_features.so': /usr/lib64/asterisk/modules/bridge_builtin_features.so: undefined symbol: ast_monitor_start
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'res_ari_endpoints.so': /usr/lib64/asterisk/modules/res_ari_endpoints.so: undefined symbol: stasis_app_ref
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'res_ari_mailboxes.so': /usr/lib64/asterisk/modules/res_ari_mailboxes.so: undefined symbol: stasis_app_mailbox_to_json
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'res_stasis_answer.so': /usr/lib64/asterisk/modules/res_stasis_answer.so: undefined symbol: stasis_app_send_command
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'res_ari_playbacks.so': /usr/lib64/asterisk/modules/res_ari_playbacks.so: undefined symbol: stasis_app_playback_to_json
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'res_stasis_recording.so': /usr/lib64/asterisk/modules/res_stasis_recording.so: undefined symbol: stasis_app_control_publish
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'app_stack.so': /usr/lib64/asterisk/modules/app_stack.so: undefined symbol: ast_agi_unregister
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'res_ari_device_states.so': /usr/lib64/asterisk/modules/res_ari_device_states.so: undefined symbol: stasis_app_device_state_to_json
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'res_ari_events.so': /usr/lib64/asterisk/modules/res_ari_events.so: undefined symbol: ast_websocket_write
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'res_stasis_playback.so': /usr/lib64/asterisk/modules/res_stasis_playback.so: undefined symbol: stasis_app_control_publish
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'res_ari_channels.so': /usr/lib64/asterisk/modules/res_ari_channels.so: undefined symbol: stasis_app_control_silence_start
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'res_ari.so': /usr/lib64/asterisk/modules/res_ari.so: undefined symbol: ast_websocket_write
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'res_ari_asterisk.so': /usr/lib64/asterisk/modules/res_ari_asterisk.so: undefined symbol: stasis_app_ref
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'res_ari_bridges.so': /usr/lib64/asterisk/modules/res_ari_bridges.so: undefined symbol: stasis_app_control_add_role
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'res_ari_sounds.so': /usr/lib64/asterisk/modules/res_ari_sounds.so: undefined symbol: stasis_app_ref
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'app_stasis.so': /usr/lib64/asterisk/modules/app_stasis.so: undefined symbol: stasis_app_exec
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'res_stasis_device_state.so': /usr/lib64/asterisk/modules/res_stasis_device_state.so: undefined symbol: stasis_app_unregister_event_source
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'chan_sip.so': /usr/lib64/asterisk/modules/chan_sip.so: undefined symbol: ast_websocket_write
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'res_ari_recordings.so': /usr/lib64/asterisk/modules/res_ari_recordings.so: undefined symbol: stasis_app_stored_recording_copy
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'res_ari_applications.so': /usr/lib64/asterisk/modules/res_ari_applications.so: undefined symbol: stasis_app_ref
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'res_ari_endpoints.so': /usr/lib64/asterisk/modules/res_ari_endpoints.so: undefined symbol: ast_ari_response_alloc_failed
[Nov  9 20:57:02] WARNING[4895]: loader.c:1076 load_resource: Module 'res_ari_endpoints.so' could not be loaded.
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'res_ari_mailboxes.so': /usr/lib64/asterisk/modules/res_ari_mailboxes.so: undefined symbol: stasis_app_mailbox_to_json
[Nov  9 20:57:02] WARNING[4895]: loader.c:1076 load_resource: Module 'res_ari_mailboxes.so' could not be loaded.
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'res_ari_playbacks.so': /usr/lib64/asterisk/modules/res_ari_playbacks.so: undefined symbol: stasis_app_playback_to_json
[Nov  9 20:57:02] WARNING[4895]: loader.c:1076 load_resource: Module 'res_ari_playbacks.so' could not be loaded.
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'res_ari_device_states.so': /usr/lib64/asterisk/modules/res_ari_device_states.so: undefined symbol: stasis_app_device_state_to_json
[Nov  9 20:57:02] WARNING[4895]: loader.c:1076 load_resource: Module 'res_ari_device_states.so' could not be loaded.
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'res_ari_events.so': /usr/lib64/asterisk/modules/res_ari_events.so: undefined symbol: ast_ari_websocket_session_create
[Nov  9 20:57:02] WARNING[4895]: loader.c:1076 load_resource: Module 'res_ari_events.so' could not be loaded.
[Nov  9 20:57:02] WARNING[4895]: loader.c:548 load_dynamic_module: Error loading module 'res_ari_channels.so': /usr/lib64/asterisk/modules/res_ari_channels.so: undefined symbol: ast_ari_response_created
[Nov  9 20:57:02] WARNING[4895]: loader.c:1076 load_resource: Module 'res_ari_channels.so' could not be loaded.


Expected results:
No warnings.

Additional info:

Trying to install all asterisk-* components leads to more undefined symbol warnings.
Comment 1 Fedora End Of Life 2016-11-24 08:15:11 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 10:35:29 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.